=== modified file '.bzrignore'
--- .bzrignore	2009-02-26 19:51:30 +0000
+++ .bzrignore	2009-03-02 23:14:32 +0000
@@ -258,3 +258,4 @@
 virtual_column_info.gcno
 xid.gcno
 *.orig
+m4/bzr_version.m4

=== modified file 'config/autorun.sh'
--- config/autorun.sh	2009-01-01 00:35:09 +0000
+++ config/autorun.sh	2009-03-02 23:14:32 +0000
@@ -29,6 +29,24 @@
 
 if test -d ".bzr" ; then
   bzr log --short > ChangeLog || touch ChangeLog
+  BZR_REVNO=`bzr revno`
+  BZR_REVID=`bzr log -r-1 --show-ids | grep revision-id | awk '{print $2}' | head -1`
+  BZR_BRANCH=`bzr nick`
+  RELEASE_DATE=`date +%Y.%m`
+  RELEASE_VERSION="${RELEASE_DATE}.${BZR_REVNO}"
+  if test "x${BZR_BRANCH}" != "xdrizzle" ; then
+    RELEASE_VERSION="${RELEASE_VERSION}-${BZR_BRANCH}"
+  fi
+  sed -e "s/@BZR_REVNO@/${BZR_REVNO}/" \
+      -e "s/@BZR_REVID@/${BZR_REVID}/" \
+      -e "s/@BZR_BRANCH@/${BZR_BRANCH}/" \
+      -e "s/@RELEASE_DATE@/${RELEASE_DATE}/" \
+      -e "s/@RELEASE_VERSION@/${RELEASE_VERSION}/" \
+    m4/bzr_version.m4.in > m4/bzr_version.m4.new
+
+  if ! diff m4/bzr_version.m4.new m4/bzr_version.m4 >/dev/null 2>&1 ; then
+    mv m4/bzr_version.m4.new m4/bzr_version.m4
+  fi
 else
   touch ChangeLog
 fi

=== modified file 'configure.ac'
--- configure.ac	2009-03-02 15:57:39 +0000
+++ configure.ac	2009-03-02 23:14:32 +0000
@@ -3,7 +3,8 @@
 
 AC_PREREQ(2.59)dnl		Minimum Autoconf version required.
 
-AC_INIT([drizzle],[7.0.0],[http://bugs.launchpad.net/drizzle])
+m4_include(m4/bzr_version.m4)
+
 AC_CONFIG_SRCDIR([drizzled/drizzled.cc])
 AC_CONFIG_AUX_DIR(config)
 AC_CONFIG_HEADERS([config.h])

=== added file 'm4/bzr_version.m4.in'
--- m4/bzr_version.m4.in	1970-01-01 00:00:00 +0000
+++ m4/bzr_version.m4.in	2009-03-02 23:14:32 +0000
@@ -0,0 +1,8 @@
+dnl We do this here, rather than in configure.ac, so that if it doesn't change
+dnl nothing has to be rebuilt or anything
+BZR_REVNO=@BZR_REVNO@
+BZR_REVID=@BZR_REVID@
+BZR_BRANCH=@BZR_BRANCH@
+RELEASE_DATE=@RELEASE_DATE@
+RELEASE_VERSION=@RELEASE_VERSION@
+AC_INIT([drizzle],[@RELEASE_VERSION@],[http://bugs.launchpad.net/drizzle])

